#ifndef __APP_LIB_BAT_IMPL_H
#define __APP_LIB_BAT_IMPL_H

#include "driver/i2c.h"

#include "ltc2941_battery.h"

typedef struct {
    int i2c_num;
} app_lib_bat_impl_t;

ltc2941_ret_t app_lib_bat_read_register(app_lib_bat_impl_t *impl, uint8_t reg, uint8_t *value);
ltc2941_ret_t app_lib_bat_write_register(app_lib_bat_impl_t *impl, uint8_t reg, uint8_t value);

#endif