#ifndef __APP_LIB_WIFI_IMPL_H
#define __APP_LIB_WIFI_IMPL_H

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/event_groups.h"

extern EventGroupHandle_t g_wifi_event_group;

#define WIFI_CONNECTED_BIT BIT0
#define WIFI_ERROR_BIT BIT1

void app_lib_init_wifi(void);
void app_lib_start_wifi(void);
void app_lib_stop_wifi(void);

#endif