#include "esp_pm.h"

#define DVFS_MAXIMUM_FREQ CONFIG_APP_MAX_CPU_FREQ_MHZ
#define DVFS_MINIMUM_FREQ CONFIG_APP_MIN_CPU_FREQ_MHZ

void app_lib_pm_init(void) {
    esp_pm_config_esp32s2_t pm_config = {
        .max_freq_mhz = DVFS_MAXIMUM_FREQ,
        .min_freq_mhz = DVFS_MINIMUM_FREQ,
        .light_sleep_enable = true
    };

    ESP_ERROR_CHECK(esp_pm_configure(&pm_config));
}