#ifndef __HTU21D_DHT_H
#define __HTU21D_DHT_H

#include <stdint.h>

typedef enum {
    HTU21D_OK,
    HTU21D_ERROR
} htu21d_ret_t;

typedef struct {
    htu21d_ret_t (*write_command_cb)(void * handle, uint8_t reg, uint8_t value);
    htu21d_ret_t (*read_data_cb)(void *handle, uint8_t reg, uint8_t *value);
} htu21d_cb_t;

typedef struct {
    htu21d_cb_t cb;
    void *user_data;
} htu21d_t;

#endif