#ifndef __USER_BOARD_H
#define __USER_BOARD_H

#define BOARD_LED1_PIN GPIO_NUM_8
#define BOARD_LED2_PIN GPIO_NUM_9

#define BOARD_RGB_LED_R_PIN GPIO_NUM_16
#define BOARD_RGB_LED_G_PIN GPIO_NUM_17
#define BOARD_RGB_LED_B_PIN GPIO_NUM_18
#define BOARD_RGB_LED_W_PIN GPIO_NUM_21

#define BOARD_RGB_LED_NUM 4
#define BOARD_LED_NUM 6

#define BOARD_SYSTEM_I2C_NUM I2C_NUM_0
#define BOARD_SYSTEM_I2C_SDA_PIN GPIO_NUM_39
#define BOARD_SYSTEM_I2C_SCL_PIN GPIO_NUM_40

#define BOARD_EPD_SPI_CS_PIN   GPIO_NUM_13
#define BOARD_EPD_SPI_MOSI_PIN GPIO_NUM_15
#define BOARD_EPD_SPI_SCK_PIN  GPIO_NUM_14
#define BOARD_EPD_RES_PIN      GPIO_NUM_10
#define BOARD_EPD_DC_PIN       GPIO_NUM_12
#define BOARD_EPD_BUSY_PIN     GPIO_NUM_11

#define BOARD_SD_MISO_PIN GPIO_NUM_3
#define BOARD_SD_MOSI_PIN GPIO_NUM_5
#define BOARD_SD_SCLK_PIN GPIO_NUM_4
#define BOARD_SD_CS_PIN   GPIO_NUM_6
#define BOARD_SD_DET_PIN  GPIO_NUM_7

#endif